Subject: bug#54096: 27.2; Error retrieving package descriptions when TLS 1.3 is used (macOS)

From: Sebastian Boehm <[email-masked]>
Date: Tue, 22 Feb 2022 15:27:16 +0100

Hi Lars,

On Tue, 22 Feb 2022 at 14:48, Lars Ingebrigtsen <[email-masked]> wrote:
> There aren't going to be any further Emacs 27 releases

I did not know that. Sorry for the noise, then.

> if this has been fixed for Emacs 28, I'm not sure there's anything to be done on the Emacs side here?  Did you have something in particular in mind?

No, I'm perfectly fine with a WONTFIX resolution. I'll just keep using
the workaround on macOS until Emacs 28 is out, then.

I just re-tested Emacs 28 to make sure this issue does not affect
Emacs 28 and as far as I can tell, no version other than 27.2 seems to
be affected.

I don't have a great dev setup on this particular machine, so I tested
the following packages from http://emacsformacosx.com:

- Emacs-26.3-universal.dmg
- Emacs-27.1-1-universal.dmg
- Emacs-pretest-28.0.90-universal.dmg
- Emacs-pretest-28.0.91-universal.dmg
- Emacs-2022-02-22_00-09-13-dfd76688beac1d99a9cdcfe375e0a125cb039b8f-universal

All of these are working just as expected for me.

Thank you for your help!

Best,
Sebastian